package com.ruoyi.baseinfo.mapper;

import java.util.List;
import com.ruoyi.baseinfo.domain.BasePostInfo;

/**
 * 职位基础信息Mapper接口
 * 
 * @author CaesarBao
 * @date 2020-10-20
 */
public interface BasePostInfoMapper 
{
    /**
     * 查询职位基础信息
     * 
     * @param objid 职位基础信息ID
     * @return 职位基础信息
     */
    public BasePostInfo selectBasePostInfoById(Long objid);

    /**
     * 查询职位基础信息列表
     * 
     * @param basePostInfo 职位基础信息
     * @return 职位基础信息集合
     */
    public List<BasePostInfo> selectBasePostInfoList(BasePostInfo basePostInfo);

    /**
     * 新增职位基础信息
     * 
     * @param basePostInfo 职位基础信息
     * @return 结果
     */
    public int insertBasePostInfo(BasePostInfo basePostInfo);

    /**
     * 修改职位基础信息
     * 
     * @param basePostInfo 职位基础信息
     * @return 结果
     */
    public int updateBasePostInfo(BasePostInfo basePostInfo);

    /**
     * 删除职位基础信息
     * 
     * @param objid 职位基础信息ID
     * @return 结果
     */
    public int deleteBasePostInfoById(Long objid);

    /**
     * 批量删除职位基础信息
     * 
     * @param objids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBasePostInfoByIds(String[] objids);

    public List<BasePostInfo> selectAddBasePostInfoList();
}
